package cmd

import (
	"os"

	"github.com/spf13/cobra"
)

var RootCmd = &cobra.Command{
	Use:   "kpt-pasture",
	Short: "科湃腾牛群系统",
}

// Execute adds all child commands to the root command and sets flags appropriately.
// This is called by main.main(). It only needs to happen once to the rootCmd.
func Execute() {
	err := RootCmd.Execute()
	if err != nil {
		os.Exit(1)
	}
}

func init() {
	RootCmd.AddCommand(httpCmd)
	RootCmd.AddCommand(JobCmd)
	RootCmd.AddCommand(CrontabCmd)
	RootCmd.AddCommand(ConsumerCmd)
}
